> ## Documentation Index
> Fetch the complete documentation index at: https://www.c1.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Requestable Entry

> Get a single requestable entry



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/catalogs/{catalog_id}/requestable_entries/{app_id}/{entitlement_id}
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/catalogs/{catalog_id}/requestable_entries/{app_id}/{entitlement_id}:
    get:
      tags:
        - Request Catalog
      summary: Get Requestable Entry
      description: Get a single requestable entry
      operationId: >-
        c1.api.requestcatalog.v1.RequestCatalogManagementService.GetRequestableEntry
      parameters:
        - in: path
          name: catalog_id
          required: true
          schema:
            description: The ID of the access profile (catalog)
            readOnly: false
            type: string
        - in: path
          name: app_id
          required: true
          schema:
            description: The ID of the app that contains the entitlement
            readOnly: false
            type: string
        - in: path
          name: entitlement_id
          required: true
          schema:
            description: The ID of the entitlement
            readOnly: false
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.requestcatalog.v1.RequestCatalogManagementServiceGetRequestableEntryResponse
          description: Response containing the requested entry
      x-codeSamples:
        - lang: go
          label: GetRequestableEntry
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/operations\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.RequestCatalogManagement.GetRequestableEntry(ctx, operations.C1APIRequestcatalogV1RequestCatalogManagementServiceGetRequestableEntryRequest{\n        AppID: \"<id>\",\n        CatalogID: \"<id>\",\n        EntitlementID: \"<id>\",\n    })\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.RequestCatalogManagementServiceGetRequestableEntryResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.requestCatalogManagement.getRequestableEntry({
                catalogId: "<id>",
                appId: "<id>",
                entitlementId: "<id>",
              });

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.requestcatalog.v1.RequestCatalogManagementServiceGetRequestableEntryResponse:
      description: Response containing the requested entry
      properties:
        requestableEntry:
          $ref: '#/components/schemas/c1.api.requestcatalog.v1.RequestableEntry'
      title: Request Catalog Management Service Get Requestable Entry Response
      type: object
      x-speakeasy-name-override: RequestCatalogManagementServiceGetRequestableEntryResponse
    c1.api.requestcatalog.v1.RequestableEntry:
      description: A requestable entry in a catalog
      properties:
        appId:
          description: The ID of the app that contains the entitlement
          readOnly: false
          type: string
        catalogId:
          description: The ID of the access profile (catalog)
          readOnly: false
          type: string
        entitlementId:
          description: The ID of the entitlement
          readOnly: false
          type: string
      title: Requestable Entry
      type: object
      x-speakeasy-name-override: RequestableEntry
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````